package com.sun.xml.internal.ws.api.model.wsdl;

import com.sun.istack.internal.Nullable;
import com.sun.istack.internal.NotNull;
import javax.xml.namespace.QName;

public interface WSDLOperation extends WSDLObject, WSDLExtensible
{
    @NotNull
    public abstract QName getName();
    
    @NotNull
    public abstract WSDLInput getInput();
    
    @Nullable
    public abstract WSDLOutput getOutput();
    
    public abstract boolean isOneWay();
    
    public abstract Iterable<? extends WSDLFault> getFaults();
    
    @Nullable
    public abstract WSDLFault getFault(QName p0);
    
    @NotNull
    public abstract QName getPortTypeName();
    
    public abstract String getParameterOrder();
}
